"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.packCardBeet = exports.PackCard = void 0;
const web3 = __importStar(require("@solana/web3.js"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
const beet = __importStar(require("@metaplex-foundation/beet"));
const AccountType_1 = require("../types/AccountType");
class PackCard {
    constructor(accountType, packSet, master, metadata, tokenAccount, maxSupply, weight) {
        this.accountType = accountType;
        this.packSet = packSet;
        this.master = master;
        this.metadata = metadata;
        this.tokenAccount = tokenAccount;
        this.maxSupply = maxSupply;
        this.weight = weight;
    }
    static fromArgs(args) {
        return new PackCard(args.accountType, args.packSet, args.master, args.metadata, args.tokenAccount, args.maxSupply, args.weight);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return PackCard.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address) {
        const accountInfo = await connection.getAccountInfo(address);
        if (accountInfo == null) {
            throw new Error(`Unable to find PackCard account at ${address}`);
        }
        return PackCard.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('packFeFNZzMfD9aVWL7QbGz1WcU7R9zpf6pvNsw2BLu')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.packCardBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.packCardBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.packCardBeet.serialize(this);
    }
    static get byteSize() {
        return exports.packCardBeet.byteSize;
    }
    static async getMinimumBalanceForRentExemption(connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(PackCard.byteSize, commitment);
    }
    static hasCorrectByteSize(buf, offset = 0) {
        return buf.byteLength - offset === PackCard.byteSize;
    }
    pretty() {
        return {
            accountType: 'AccountType.' + AccountType_1.AccountType[this.accountType],
            packSet: this.packSet.toBase58(),
            master: this.master.toBase58(),
            metadata: this.metadata.toBase58(),
            tokenAccount: this.tokenAccount.toBase58(),
            maxSupply: this.maxSupply,
            weight: this.weight,
        };
    }
}
exports.PackCard = PackCard;
exports.packCardBeet = new beet.BeetStruct([
    ['accountType', AccountType_1.accountTypeBeet],
    ['packSet', beetSolana.publicKey],
    ['master', beetSolana.publicKey],
    ['metadata', beetSolana.publicKey],
    ['tokenAccount', beetSolana.publicKey],
    ['maxSupply', beet.u32],
    ['weight', beet.u16],
], PackCard.fromArgs, 'PackCard');
//# sourceMappingURL=PackCard.js.map