/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
import { AccountType } from '../types/AccountType';
import { CleanUpActions } from '../types/CleanUpActions';
export declare type PackConfigArgs = {
    accountType: AccountType;
    weights: [number, number, number][];
    actionToDo: CleanUpActions;
};
export declare class PackConfig implements PackConfigArgs {
    readonly accountType: AccountType;
    readonly weights: [number, number, number][];
    readonly actionToDo: CleanUpActions;
    private constructor();
    static fromArgs(args: PackConfigArgs): PackConfig;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [PackConfig, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<PackConfig>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        accountType: any;
        weights: any;
        actionToDo: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [PackConfig, number];
    serialize(): [Buffer, number];
    static byteSize(args: PackConfigArgs): number;
    static getMinimumBalanceForRentExemption(args: PackConfigArgs, connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    pretty(): {
        accountType: string;
        weights: [number, number, number][];
        actionToDo: "Change" | "Sort" | "None";
    };
}
export declare const packConfigBeet: beet.FixableBeetStruct<PackConfig, PackConfigArgs>;
