"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.packConfigBeet = exports.PackConfig = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
const AccountType_1 = require("../types/AccountType");
const CleanUpActions_1 = require("../types/CleanUpActions");
class PackConfig {
    constructor(accountType, weights, actionToDo) {
        this.accountType = accountType;
        this.weights = weights;
        this.actionToDo = actionToDo;
    }
    static fromArgs(args) {
        return new PackConfig(args.accountType, args.weights, args.actionToDo);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return PackConfig.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address) {
        const accountInfo = await connection.getAccountInfo(address);
        if (accountInfo == null) {
            throw new Error(`Unable to find PackConfig account at ${address}`);
        }
        return PackConfig.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('packFeFNZzMfD9aVWL7QbGz1WcU7R9zpf6pvNsw2BLu')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.packConfigBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.packConfigBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.packConfigBeet.serialize(this);
    }
    static byteSize(args) {
        const instance = PackConfig.fromArgs(args);
        return exports.packConfigBeet.toFixedFromValue(instance).byteSize;
    }
    static async getMinimumBalanceForRentExemption(args, connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(PackConfig.byteSize(args), commitment);
    }
    pretty() {
        return {
            accountType: 'AccountType.' + AccountType_1.AccountType[this.accountType],
            weights: this.weights,
            actionToDo: this.actionToDo.__kind,
        };
    }
}
exports.PackConfig = PackConfig;
exports.packConfigBeet = new beet.FixableBeetStruct([
    ['accountType', AccountType_1.accountTypeBeet],
    ['weights', beet.array(beet.fixedSizeTuple([beet.u32, beet.u32, beet.u32]))],
    ['actionToDo', CleanUpActions_1.cleanUpActionsBeet],
], PackConfig.fromArgs, 'PackConfig');
//# sourceMappingURL=PackConfig.js.map