/// <reference types="node" />
import * as web3 from '@solana/web3.js';
import * as beetSolana from '@metaplex-foundation/beet-solana';
import * as beet from '@metaplex-foundation/beet';
import { AccountType } from '../types/AccountType';
export declare type PackVoucherArgs = {
    accountType: AccountType;
    packSet: web3.PublicKey;
    master: web3.PublicKey;
    metadata: web3.PublicKey;
};
export declare class PackVoucher implements PackVoucherArgs {
    readonly accountType: AccountType;
    readonly packSet: web3.PublicKey;
    readonly master: web3.PublicKey;
    readonly metadata: web3.PublicKey;
    private constructor();
    static fromArgs(args: PackVoucherArgs): PackVoucher;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [PackVoucher, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<PackVoucher>;
    static gpaBuilder(programId?: web3.PublicKey): beetSolana.GpaBuilder<{
        accountType: any;
        packSet: any;
        master: any;
        metadata: any;
    }>;
    static deserialize(buf: Buffer, offset?: number): [PackVoucher, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        accountType: string;
        packSet: string;
        master: string;
        metadata: string;
    };
}
export declare const packVoucherBeet: beet.BeetStruct<PackVoucher, PackVoucherArgs>;
