"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.provingProcessBeet = exports.ProvingProcess = void 0;
const web3 = __importStar(require("@solana/web3.js"));
const beetSolana = __importStar(require("@metaplex-foundation/beet-solana"));
const beet = __importStar(require("@metaplex-foundation/beet"));
const AccountType_1 = require("../types/AccountType");
class ProvingProcess {
    constructor(accountType, walletKey, isExhausted, voucherMint, packSet, cardsRedeemed, cardsToRedeem) {
        this.accountType = accountType;
        this.walletKey = walletKey;
        this.isExhausted = isExhausted;
        this.voucherMint = voucherMint;
        this.packSet = packSet;
        this.cardsRedeemed = cardsRedeemed;
        this.cardsToRedeem = cardsToRedeem;
    }
    static fromArgs(args) {
        return new ProvingProcess(args.accountType, args.walletKey, args.isExhausted, args.voucherMint, args.packSet, args.cardsRedeemed, args.cardsToRedeem);
    }
    static fromAccountInfo(accountInfo, offset = 0) {
        return ProvingProcess.deserialize(accountInfo.data, offset);
    }
    static async fromAccountAddress(connection, address) {
        const accountInfo = await connection.getAccountInfo(address);
        if (accountInfo == null) {
            throw new Error(`Unable to find ProvingProcess account at ${address}`);
        }
        return ProvingProcess.fromAccountInfo(accountInfo, 0)[0];
    }
    static gpaBuilder(programId = new web3.PublicKey('packFeFNZzMfD9aVWL7QbGz1WcU7R9zpf6pvNsw2BLu')) {
        return beetSolana.GpaBuilder.fromStruct(programId, exports.provingProcessBeet);
    }
    static deserialize(buf, offset = 0) {
        return exports.provingProcessBeet.deserialize(buf, offset);
    }
    serialize() {
        return exports.provingProcessBeet.serialize(this);
    }
    static byteSize(args) {
        const instance = ProvingProcess.fromArgs(args);
        return exports.provingProcessBeet.toFixedFromValue(instance).byteSize;
    }
    static async getMinimumBalanceForRentExemption(args, connection, commitment) {
        return connection.getMinimumBalanceForRentExemption(ProvingProcess.byteSize(args), commitment);
    }
    pretty() {
        return {
            accountType: 'AccountType.' + AccountType_1.AccountType[this.accountType],
            walletKey: this.walletKey.toBase58(),
            isExhausted: this.isExhausted,
            voucherMint: this.voucherMint.toBase58(),
            packSet: this.packSet.toBase58(),
            cardsRedeemed: this.cardsRedeemed,
            cardsToRedeem: this.cardsToRedeem,
        };
    }
}
exports.ProvingProcess = ProvingProcess;
exports.provingProcessBeet = new beet.FixableBeetStruct([
    ['accountType', AccountType_1.accountTypeBeet],
    ['walletKey', beetSolana.publicKey],
    ['isExhausted', beet.bool],
    ['voucherMint', beetSolana.publicKey],
    ['packSet', beetSolana.publicKey],
    ['cardsRedeemed', beet.u32],
    ['cardsToRedeem', beet.map(beet.u32, beet.u32)],
], ProvingProcess.fromArgs, 'ProvingProcess');
//# sourceMappingURL=ProvingProcess.js.map