declare type ErrorWithCode = Error & {
    code: number;
};
declare type MaybeErrorWithCode = ErrorWithCode | null | undefined;
export declare class WrongAllowedAmountToRedeemError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongRedeemDateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CardProbabilityMissingError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongCardProbabilityError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CardShouldntHaveProbabilityValueError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ProvedVouchersMismatchPackVouchersError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class PackIsAlreadyEndedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class PackSetNotConfiguredError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CantActivatePackError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class PackSetNotActivatedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ProvingPackProcessCompletedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ProvingVoucherProcessCompletedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongEditionError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongEditionMintError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class OverflowError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class UnderflowError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class NotEmptyPackSetError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongPackStateError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class ImmutablePackSetError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CantSetTheSameValueError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongMaxSupplyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongVoucherSupplyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CardDoesntHaveEditionsError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class UserRedeemedAllCardsError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class UriTooLongError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CardDoesntHaveMaxSupplyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongMasterSupplyError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class MissingEditionsInPackError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class AlreadySetNextCardToRedeemError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class EndDateNotArrivedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class DescriptionTooLongError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WhitelistedCreatorInactiveError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongWhitelistedCreatorError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WrongVoucherOwnerError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CardShouldntHaveSupplyValueError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class PackIsFullWithCardsError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class WeightsNotCleanedUpError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class CardAlreadyRedeemedError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class UserCantRedeemThisCardError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare class InvalidWeightPositionError extends Error {
    readonly code: number;
    readonly name: string;
    constructor();
}
export declare function errorFromCode(code: number): MaybeErrorWithCode;
export declare function errorFromName(name: string): MaybeErrorWithCode;
export {};
