import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { AddCardToPackArgs } from '../types/AddCardToPackArgs';
export declare type AddCardToPackInstructionArgs = {
    addCardToPackArgs: AddCardToPackArgs;
};
export declare const AddCardToPackStruct: beet.BeetArgsStruct<AddCardToPackInstructionArgs & {
    instructionDiscriminator: number;
}>;
export declare type AddCardToPackInstructionAccounts = {
    packSet: web3.PublicKey;
    packConfig: web3.PublicKey;
    packCard: web3.PublicKey;
    authority: web3.PublicKey;
    masterEdition: web3.PublicKey;
    masterMetadata: web3.PublicKey;
    mint: web3.PublicKey;
    source: web3.PublicKey;
    tokenAccount: web3.PublicKey;
    programAuthority: web3.PublicKey;
    store: web3.PublicKey;
    rent?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
};
export declare const addCardToPackInstructionDiscriminator = 1;
export declare function createAddCardToPackInstruction(accounts: AddCardToPackInstructionAccounts, args: AddCardToPackInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
