import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { ClaimPackArgs } from '../types/ClaimPackArgs';
export declare type ClaimPackInstructionArgs = {
    claimPackArgs: ClaimPackArgs;
};
export declare const ClaimPackStruct: beet.BeetArgsStruct<ClaimPackInstructionArgs & {
    instructionDiscriminator: number;
}>;
export declare type ClaimPackInstructionAccounts = {
    packSet: web3.PublicKey;
    provingProcess: web3.PublicKey;
    userWallet: web3.PublicKey;
    packCard: web3.PublicKey;
    userToken: web3.PublicKey;
    newMetadata: web3.PublicKey;
    newEdition: web3.PublicKey;
    masterEdition: web3.PublicKey;
    newMint: web3.PublicKey;
    newMintAuthority: web3.PublicKey;
    metadata: web3.PublicKey;
    metadataMint: web3.PublicKey;
    editionMarker: web3.PublicKey;
    rent?: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    tokenProgram?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const claimPackInstructionDiscriminator = 6;
export declare function createClaimPackInstruction(accounts: ClaimPackInstructionAccounts, args: ClaimPackInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
