import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { InitPackSetArgs } from '../types/InitPackSetArgs';
export declare type InitPackInstructionArgs = {
    initPackSetArgs: InitPackSetArgs;
};
export declare const InitPackStruct: beet.FixableBeetArgsStruct<InitPackInstructionArgs & {
    instructionDiscriminator: number;
}>;
export declare type InitPackInstructionAccounts = {
    packSet: web3.PublicKey;
    authority: web3.PublicKey;
    store: web3.PublicKey;
    rent?: web3.PublicKey;
    clock: web3.PublicKey;
    whitelistedCreator?: web3.PublicKey;
};
export declare const initPackInstructionDiscriminator = 0;
export declare function createInitPackInstruction(accounts: InitPackInstructionAccounts, args: InitPackInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
