import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { RequestCardToRedeemArgs } from '../types/RequestCardToRedeemArgs';
export declare type RequestCardForRedeemInstructionArgs = {
    requestCardToRedeemArgs: RequestCardToRedeemArgs;
};
export declare const RequestCardForRedeemStruct: beet.BeetArgsStruct<RequestCardForRedeemInstructionArgs & {
    instructionDiscriminator: number;
}>;
export declare type RequestCardForRedeemInstructionAccounts = {
    packSet: web3.PublicKey;
    packConfig: web3.PublicKey;
    store: web3.PublicKey;
    edition: web3.PublicKey;
    editionMint: web3.PublicKey;
    packVoucher: web3.PublicKey;
    provingProcess: web3.PublicKey;
    userWallet: web3.PublicKey;
    recentSlothashes: web3.PublicKey;
    clock: web3.PublicKey;
    rent?: web3.PublicKey;
    systemProgram?: web3.PublicKey;
    userToken?: web3.PublicKey;
};
export declare const requestCardForRedeemInstructionDiscriminator = 12;
export declare function createRequestCardForRedeemInstruction(accounts: RequestCardForRedeemInstructionAccounts, args: RequestCardForRedeemInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
